<?php

Reg::get('di')->register('session_encryption', function($args) {    
    try {
      return new \tts\sodium_storage(
          \tts\configure::get('sessions', 'session_key')
      );
    } catch (\Exception $e) {
     
    }
});